#sonar.sources=src
sonar.projectBaseDir=src
sonar.language=js

# Reports
sonar.javascript.lcov.reportPaths=../../test/coverage/report/lcov.info
sonar.testExecutionReportPaths=unittest.xml

sonar.modules=components, constants, lang, router, services, store, views, utils 

# Components
components.sonar.projectBaseDir=components
components.sonar.sources=./
components.test.inclusions=**/*.spec.js , **/*.ispec.js
components.sonar.exclusions=**/*.spec.js , **/*.ispec.js

# Constants
constants.sonar.projectBaseDir=constants
constants.sonar.sources=./

# Lang
lang.sonar.projectBaseDir=lang
lang.sonar.sources=./

# Router
router.sonar.projectBaseDir=router
router.sonar.sources=./
router.test.inclusions=**/*.spec.js , **/*.ispec.js
router.sonar.exclusions=**/*.spec.js , **/*.ispec.js

# Services
services.sonar.projectBaseDir=services
services.sonar.sources=./
services.test.inclusions=**/*.spec.js , **/*.ispec.js
services.sonar.exclusions=**/*.spec.js , **/*.ispec.js

# Store
store.sonar.projectBaseDir=store
store.sonar.sources=./
store.test.inclusions=**/*.spec.js , **/*.ispec.js
store.sonar.exclusions=**/*.spec.js , **/*.ispec.js

# Views
views.sonar.projectBaseDir=views
views.sonar.sources=./

# Utils
utils.sonar.projectBaseDir=utils
utils.sonar.sources=./
utils.test.inclusions=**/*.spec.js , **/*.ispec.js
utils.sonar.exclusions=**/*.spec.js , **/*.ispec.js

# Encoding of the source code. Default is default system encoding
sonar.sourceEncoding=UTF-8
